Bug 1292961 - [DOCS] [RFE] Flag in Hosts file to keep ansible from overwriting the node-config and master-config [NEEDINFO]
[DOCS] [RFE] Flag in Hosts file to keep ansible from overwriting the node-con...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Timothy
Xiaoli Tian
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 16:02 EST by Ryan Howe
Modified: 2016-11-08 01:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-29 02:00:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (jdetiber)


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-12-18 16:02:43 EST
Description of problem: Wanting a flag that can be set in the /etc/ansible/host file to keep the playbook from overwriting the node-config.yaml and master-config.yaml 



Version-Release number of selected component (if applicable):
3.1
Comment 4 Dan McPherson 2016-04-14 14:38:41 EDT
@bleanhar This would have gone into 3.1.1 right?
Comment 5 Brenton Leanhardt 2016-04-14 15:01:52 EDT
Yes, that PR was definitely released so we just need to have it formally verified.
Comment 6 Ma xiaoqiang 2016-04-14 20:32:17 EDT
The user do not want to overwrite the master and node configuration file, the RP#1095 only make sure that the service will not be restarted if the configuration file is not changed. I think the PR is not sufficient.
Comment 8 Brenton Leanhardt 2016-05-06 10:33:32 EDT
I think it would be better to simply add support for whatever the admin needs to set.  If you tell us the most urgent settings we'll have it added in.
Comment 9 Brenton Leanhardt 2016-05-06 14:08:59 EDT
Another thing to mention is that whenever the master and node configuration files are updated a backup is created so that an admin could merge their settings with the configuration ansible is installing.  We realize that's not ideal so it's better just to support the other values.
Comment 10 Brenton Leanhardt 2016-05-12 11:22:04 EDT
I'd like to close this bug in favor of adding support for whatever configuration settings are most urgent.
Comment 11 Eric Rich 2016-05-13 09:19:28 EDT
(In reply to Brenton Leanhardt from comment #8)
> I think it would be better to simply add support for whatever the admin
> needs to set.  If you tell us the most urgent settings we'll have it added
> in.

I am going to try and link this request to the docs as much as possible (with the top 5 being the priority). Anywhere we mention to an admin where they should modify the node-config.yaml and master-config.yaml is likely what we want to focus on. 

List: 

Custom Certificates: 
https://docs.openshift.com/enterprise/3.2/install_config/certificate_customization.html

Configure Authentication: 
https://docs.openshift.com/enterprise/3.2/install_config/configuring_authentication.html

Configure Networking (SDN): 
https://docs.openshift.com/enterprise/3.2/install_config/configuring_sdn.html

Proxy Configurations: 
https://docs.openshift.com/enterprise/3.2/install_config/http_proxies.html

Defaults and Overrides: 
https://docs.openshift.com/enterprise/3.2/install_config/build_defaults_overrides.html

Web Console Modifications: 
https://docs.openshift.com/enterprise/3.2/install_config/web_console_customization.html

Configuring IaaS Platform: 
  AWS: https://docs.openshift.com/enterprise/3.2/install_config/configuring_aws.html
  GCE: https://docs.openshift.com/enterprise/3.2/install_config/configuring_gce.html
  OpenStack: https://docs.openshift.com/enterprise/3.2/install_config/configuring_openstack.html
Comment 13 Jason DeTiberus 2016-05-31 11:51:15 EDT
The vast majority of these (I haven't validated each and every configuration option from the links) are already configurable through openshift-ansible, at least when using the Advanced installation.

The one glaringly standing out as unsupported right now is the GCE cloud provider.
Comment 14 Eric Rich 2016-05-31 13:40:27 EDT
(In reply to Jason DeTiberus from comment #13)
> The vast majority of these (I haven't validated each and every configuration
> option from the links) are already configurable through openshift-ansible,
> at least when using the Advanced installation.
> 
> The one glaringly standing out as unsupported right now is the GCE cloud
> provider.

If this is the case, then lets work with this as a documentation bug? and ask Docs, if they can update the install steps to explain how to configure openshif for the configurations denoted. 

With this in place, we can then link the sections denoted to the configuration examples, in the install section. Thought?
Comment 23 Timothy 2016-07-27 04:47:16 EDT
OK, I think I've covered all of these. 
Docs PR: https://github.com/openshift/openshift-docs/pull/2350

This is going to need a lengthy review. Some of the topics got a light restructure.

So, tech review, please? :)

Here are the topics I've touched/added sections to:

Custom Certificates: 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/certificate_customization.html

Configure Authentication: 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/configuring_authentication.html#identity-providers-ansible

Configure Networking (SDN): 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/configuring_sdn.html#configuring-the-pod-network-with-ansible

Proxy Configurations: 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/http_proxies.html#configuring-hosts-for-proxies

Defaults and Overrides: 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/build_defaults_overrides.html#setting-global-build-defaults

Web Console Modifications: 
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/web_console_customization.html

AWS:
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/configuring_aws.html#aws-configuring-masters

OpenStack:
http://file.bne.redhat.com/tpoitras/2016/ansiblehosts/openshift-enterprise/ansibleflaginhosts-BZ1292961/install_config/configuring_openstack.html#openstack-configuring-masters
Comment 30 Timothy 2016-08-18 23:43:02 EDT
Ack from Eric, Peer review complete. Merging! https://github.com/openshift/openshift-docs/pull/2350

Note You need to log in before you can comment on or make changes to this bug.